org.apache.jmeter.gui

## Interface TreeState

All Known Implementing Classes:
  TreeState.TreeStateImpl

    public interface TreeState

### Nested Class Summary

Nested Classes
`static class` `TreeState.TreeStateImpl`

### Field Summary

Fields
`static TreeState` `NOTHING`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static TreeState` `from(GuiPackage guiPackage)` Save tree expanded and selected state
`void` `restore(GuiPackage guiInstance)` Restore tree expanded and selected state

### Field Detail

#### NOTHING

    static final TreeState NOTHING

### Method Detail

#### restore

    void restore(GuiPackage guiInstance)

Restore tree expanded and selected state

Parameters:
  `guiInstance` - GuiPackage to be used

#### from

    static TreeState from(GuiPackage guiPackage)

Save tree expanded and selected state

Parameters:
  `guiPackage` - `GuiPackage` to be used
Returns:
  `TreeState`